summaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
authoreyck <eyck@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-05-23 09:19:58 +0000
committereyck <eyck@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-05-23 09:19:58 +0000
commit868a7cad8d9fc638066380ab52b9606cddd5ed69 (patch)
tree25b3b6f67e00eba26ba4abfa8cac01eda489051e /debian/postinst
parent27f5dd83becb3f8d810ca695902d49f6aa67824a (diff)
downloadmpv-868a7cad8d9fc638066380ab52b9606cddd5ed69.tar.bz2
mpv-868a7cad8d9fc638066380ab52b9606cddd5ed69.tar.xz
/etc/mplayer.conf created on install-time based on user responses.
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@854 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'debian/postinst')
-rwxr-xr-xdebian/postinst176
1 files changed, 176 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000000..97617df95e
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,176 @@
+#!/bin/sh -e
+# postinst script for mplayer
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+configure)
+#TODO: creating /etc/mplayer.conf,
+
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+db_subst mplayer/output vo xv, xmga, mga, x11, gl, sdl
+
+db_input high mplayer/output || true
+db_go
+
+if [ -f /etc/mplayer.conf ]; then
+
+db_input high mplayer/overwrite || true
+db_go
+db_get mplayer/overwrite
+ else
+$RET="true"
+fi
+
+ if [ "$RET" = "true" ]; then
+ db_get mplayer/output
+
+ cat <<EOCFG > /etc/mplayer.conf
+##
+## MPlayer config file
+##
+## This file can be copied to /etc/mplayer.conf and/or ~/.mplayer/config .
+## If both exist, the ~/.mplayer/config's settings override the
+## /etc/mplayer.conf ones. And, of course command line overrides all.
+## The options are the same as in the command line, but they can be specified
+## more flexibly here. See below.
+##
+
+vo=$RET # To specify your default video output see -vo help for
+ # valid settings
+
+fs=yes # Enlarges movie window to your desktop's size.
+ # Used by drivers: all
+
+vm=no # Tries to change to a different videomode
+ # Used by drivers: dga2, x11, sdl
+
+#bpp=0 # Force changing display depth.
+ # Valid settings are: 0, 15, 16, 24, 32
+ # may need 'vm=yes' too.
+ # Used by drivers: fbdev, dga2, svga
+
+zoom=no # Enable software scaling (powerful CPU needed)
+ # Used by drivers: svga
+
+# x=800 # scale movie to <x> pixels width
+# y=600 # scale movie to <y> pixels height
+
+##
+## Multiple languages are available :)
+##
+## Hungarian igen nem
+## English yes no
+## German ja nein
+## Spanish si no
+## Binary 1 0
+##
+## You can also use spaces and/or tabs.
+##
+
+sound = 1
+mixer = /dev/mixer
+master = no # no : set PCM volume yes : set MASTER volume
+
+##
+## resample the fonts' alphamap
+## 0 plain white fonts
+## 0.75 very narrow black outline (default)
+## 1 narrow black outline
+## 10 bold black outline
+##
+
+ffactor = 1
+
+##
+## FBdev driver: specify your monitor's timings, so resolutions
+## can be autodetected.
+## (see for example /etc/X11/XF86Config for timings!)
+## ** CAUTION! IF YOUR DISPLAY DOESN'T SUPPORT AUTOMATICALLY TURNING OFF WHEN
+## OVERDRIVED (AND EVEN IF IT DOES), THIS MAY CAUSE DAMAGE TO YOUR DISPLAY!
+## WE AREN'T RESPONSIBLE, IT'S YOUR DECISION! **
+##
+## k, K : means multiply by 1000
+## m, M : means multiply by 1.000.000
+##
+
+# fb = /dev/fb0 # framebuffer device to use
+# fbmode = 640x480-120 # use this mode (read from fb.modes!)
+# fbmodeconfig = /etc/fb.modes # the fb.modes file
+# monitor_hfreq = 31.5k-50k,70k # horizontal frequency range
+# monitor_vfreq = 50-90 # vertical frequency range
+# monitor_dotclock = 30M-300M # dotclock (or pixelclock) range
+
+##
+## SDL driver
+##
+
+# sdl = aalib # specify driver to use (for ex.: aalib, dga, fbdev...)
+# noxv = yes # do not use XVideo hardware acceleration
+# forcexv = yes # force XVideo even if not detected
+
+
+# nodshow = 1 # disable usage of DirectShow video codecs
+
+##
+## You can also include other configfiles
+## Specify full path!
+##
+
+#include = /home/gabucino/.mplayer/savage4.conf
+
+
+EOCFG
+
+ fi
+
+
+#db_purge
+db_input medium mplayer/cfgnote || true
+db_go
+
+
+
+# store info in debconf database
+;;
+
+abort-upgrade|abort-remove|abort-deconfigure)
+
+;;
+
+*)
+echo "postinst called with unknown argument \`$1'" >&2
+exit 0
+;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+